Skip to content

Create external hotlink

Request

Creates a new External Hotlink record. External Hotlink resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
descriptionstring

Human-readable description or label for the hotlink.

Example:"Example description"
extensionsobject

Vendor- or practice-specific extensions.

externalHotlinkIdstring

Canonical identifier for this external hotlink.

Example:"123e4567-e89b-12d3-a456-426614174000"
resourceIdstringrequired

Identifier of the resource this hotlink is associated with.

Example:"123e4567-e89b-12d3-a456-426614174000"
resourceTypestringrequired

Type of resource this hotlink is associated with (e.g., animal, contact, invoice).

Example:"example"
statusstring

Lifecycle status of the external hotlink.

Enum:"active""inactive"
Example:"active"
urlstringrequired

Target URL of the external hotlink.

Example:"https://example.com"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/external-hotlink' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "Example description",
    "extensions": {},
    "externalHotlinkId": "123e4567-e89b-12d3-a456-426614174000",
    "resourceId": "123e4567-e89b-12d3-a456-426614174000",
    "resourceType": "example",
    "status": "active",
    "url": "https://example.com"
  }'

Responses

External Hotlink created successfully

Bodyapplication/json
createdAtstring, (date-time)required

Timestamp when this hotlink was created.

Example:"2025-01-01T00:00:00.000Z"
descriptionstringrequired

Human-readable description or label for the hotlink.

Example:"Example description"
extensionsobjectrequired

Vendor- or practice-specific extensions.

externalHotlinkIdstringrequired

Canonical identifier for this external hotlink.

Example:"123e4567-e89b-12d3-a456-426614174000"
resourceIdstringrequired

Identifier of the resource this hotlink is associated with.

Example:"123e4567-e89b-12d3-a456-426614174000"
resourceTypestringrequired

Type of resource this hotlink is associated with (e.g., animal, contact, invoice).

Example:"example"
statusstringrequired

Lifecycle status of the external hotlink.

Enum:"active""inactive"
Example:"active"
updatedAtstring, (date-time)required

Timestamp when this hotlink was last updated.

Example:"2025-01-01T00:00:00.000Z"
urlstringrequired

Target URL of the external hotlink.

Example:"https://example.com"
Response
{ "createdAt": "2025-01-01T00:00:00.000Z", "description": "Example description", "extensions": {}, "externalHotlinkId": "123e4567-e89b-12d3-a456-426614174000", "resourceId": "123e4567-e89b-12d3-a456-426614174000", "resourceType": "example", "status": "active", "updatedAt": "2025-01-01T00:00:00.000Z", "url": "https://example.com" }